from aws_lambda_powertools.event_handler.api_gateway import Router

from oauth2 import require_oauth

router = Router()


@router.get('/userinfo', middlewares=[require_oauth('profile')])
def userinfo():
    return {'name': 'test'}
